petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMNetworkGetEdgeOffset

Get the offset for accessing the variable associated with the given edge from the local subvector.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetEdgeOffset(DM dm,PetscInt p,PetscInt *offset)

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the edge point

### Output Parameters

offset -the offset

### See Also

DMNetworkGetVariableGlobalOffset, DMGetLocalVector

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages